%define upstream_name    Dist-Zilla-Plugin-GitFmtChanges
%define upstream_version 0.006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Build CHANGES file from a project's git log using git log format
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Simple)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(POSIX)
BuildArch:  noarch

%description
This Dist::Zilla plugin writes a CHANGES file that contains formatted
commit information from recent git logs. The CHANGES file is formatted
using the "--format" option of the git log command. This makes it easy to
make the CHANGES file look the way you want it to.

This is based on Dist::Zilla::Plugin::ChangelogFromGit.

This plugin has the following configuration variables:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.6.0-7.mga10
+ Revision: 2205558
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.6.0-6.mga9
+ Revision: 1811450
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.6.0-5.mga8
+ Revision: 1523752
- Mageia 8 Mass Rebuild

* Tue Mar 12 2019 tv <tv> 0.6.0-4.mga7
+ Revision: 1374711
- fix summary

* Thu Sep 20 2018 umeabot <umeabot> 0.6.0-3.mga7
+ Revision: 1283017
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.6.0-2.mga7
+ Revision: 1164197
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.6.0-1.mga7
+ Revision: 1157539
- update to 0.006

* Sun Jun 19 2016 pterjan <pterjan> 0.5.0-7.mga6
+ Revision: 1026208
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.5.0-6.mga6
+ Revision: 939031
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-5.mga5
+ Revision: 747069
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.0-3.mga4
+ Revision: 511104
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 366198
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 04 2011 jquelin <jquelin> 0.5.0-1.mga2
+ Revision: 162762
- update to 0.005

* Sat Jan 22 2011 jquelin <jquelin> 0.3.0-1.mga1
+ Revision: 31938
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-GitFmtChanges

